# Class CIM_ServiceAvailableToDatabase
extends CIM_ServiceAvailableToElement

The CIM_ServiceAvailableToDatabase association relates databases to the database services that are available for database use.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ServiceAvailableToElement
|
+--CIM_ServiceAvailableToDatabase

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The CIM_ServiceAvailableToDatabase association relates databases to the database services that are available for database use.
UMLPackagePath | string | CIM::Database::System
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActiveTime | datetime |
Description | string | The time that the database was made active by this service. If the AvailableState property is not active, then the value of this property must be set to 0.
MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsRelActiveTime
AvailableState | uint16 |

Description

string

The AvailableState property indicates the current state of a database service regarding its ability to access a specific database. A service can be actively using a database (ACTIVE), or it can be waiting for a task to perform (AVAILABLE), or the service can be less than completely available for use by the database (RESTRICTED), or the database is not accessible from this service (UNAVAILABLE). Any service states that do not match one of these values should specify (OTHER).

MappingStrings | string | MIB.IETF|RDBMS-MIB.rdbmsRelState
ModelCorrespondence | string | CIM_ServiceAvailableToDatabase.OtherAvailableState
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Active, Available, Restricted, Unavailable
OtherAvailableState | string |
Description | string | A string that describes the available state of the service when the AvailableState property is set to 1 ("Other"). This property must be set to NULL when AvailableState is any value other than 1.
ModelCorrespondence | string | CIM_ServiceAvailableToDatabase.AvailableState

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
ServiceProvided | CIM_ServiceAvailableToDatabase | CIM_DatabaseService
UserOfService | CIM_ServiceAvailableToDatabase | CIM_CommonDatabase

## Class Methods